using Decimation.Content.Items.Accessories;
using Decimation.Content.Items.Weapons.Arachnus;
using Decimation.Lib.Items;
using Terraria;
using Terraria.ModLoader;

namespace Decimation.Content.Items.Boss.Arachnus
{
    internal class ArachnusTreasureBag : DecimationTreasureBag
    {
        public override int BossBagNPC => ModContent.NPCType<NPCs.Arachnus.Arachnus>();

        public override void OpenBossBag(Player player)
        {
            switch (Main.rand.Next(3))
            {
                case 0:
                    player.QuickSpawnItem(ModContent.ItemType<ChainStynger>());
                    break;
                case 1:
                    player.QuickSpawnItem(ModContent.ItemType<GlaiveWeaver>());
                    break;
                case 2:
                    player.QuickSpawnItem(ModContent.ItemType<Infernolizer>());
                    break;
            }

            player.QuickSpawnItem(ModContent.ItemType<ShinySentinel>());
        }
    }
}